Services How It Works Blog Free Reseller Panel API Login Sign Up Free

పరిచయం

Resimi API మా SMM సేవలను మీ స్వంత ప్యానెల్, యాప్ లేదా వర్క్‌ఫ్లోలో ఏకీకృతం చేయడానికి మిమ్మల్ని అనుమతిస్తుంది. అన్ని అభ్యర్థనలు తిరిగి JSON. API JAP, SMMKings, Peakrr మరియు ఇతరులు ఉపయోగించే ప్రామాణిక SMM ప్యానెల్ API ఆకృతికి అనుకూలంగా ఉంటుంది — ఇది మారడం లేదా ఏకీకృతం చేయడం సులభం చేస్తుంది.

బేస్ URL: https://resimi.xyz/api/v2.php

అన్ని ఎండ్‌పాయింట్‌లు GET మరియు POST అభ్యర్థనలను అంగీకరిస్తాయి. ఆర్డర్‌లు మరియు రద్దుల కోసం POSTని, చదవడానికి-మాత్రమే ప్రశ్నల కోసం GETని ఉపయోగించండి.

ప్రమాణీకరణ

ప్రతి అభ్యర్థన తప్పనిసరిగా మీ API కీని key పారామీటర్‌గా చేర్చాలి.

మీ API కీ ఖాతా సెట్టింగ్‌లు → API యాక్సెస్లో ఉంది. దీన్ని రహస్యంగా ఉంచండి — ఇది మీ ఖాతా మరియు బ్యాలెన్స్‌కు పూర్తి ప్రాప్యతను కలిగి ఉంది.
GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

లోపాలు

అన్ని లోపాలు error కీతో JSON వస్తువును అందిస్తాయి:

{"error": "Insufficient balance. Please add funds."}
దోష సందేశంఅర్థం
చెల్లని API కీకీ తప్పు లేదా ఖాతా సస్పెండ్ చేయబడింది
సరిపోని బ్యాలెన్స్ఆర్డర్లు చేసే ముందు నిధులను జోడించండి
సేవ కనుగొనబడలేదు లేదా నిష్క్రియంగా ఉందిసర్వీస్ ID తప్పు లేదా సేవ నిలిపివేయబడింది
పరిమాణం తప్పనిసరిగా X మరియు Y మధ్య ఉండాలిఈ సేవ కోసం అనుమతించబడిన పరిధి వెలుపల పరిమాణం
ఆర్డర్ కనుగొనబడలేదుఆర్డర్ ID ఉనికిలో లేదు లేదా మరొక వినియోగదారుకు చెందినది
ఆర్డర్ రద్దు చేయబడదుఆర్డర్ ఇప్పటికే పూర్తయింది లేదా రద్దు చేయబడింది

సేవలను పొందండి

రేట్లు మరియు పరిమితులతో సక్రియ సేవల పూర్తి జాబితాను అందిస్తుంది.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services

పారామితులు

పరామితిటైప్ చేయండివివరణ
key requiredstringమీ API కీ
action requiredstringతప్పనిసరిగా సేవలు

ప్రతిస్పందన

[
  {
    "service": 1234,
    "category": "Instagram",
    "name": "Instagram Followers — HQ | Refill 30 days",
    "type": "Default",
    "rate": "0.5000",
    "min": 100,
    "max": 100000,
    "dripfeed": true,
    "refill": true,
    "cancel": false
  },
  ...
]

ఆర్డర్ ఉంచండి

కొత్త ఆర్డర్‌ను ఉంచుతుంది. బ్యాలెన్స్ వెంటనే తీసివేయబడుతుంది. ఆర్డర్ IDని అందిస్తుంది.

POST https://resimi.xyz/api/v2.php
పరామితిటైప్ చేయండివివరణ
key requiredstringమీ API కీ
action requiredstringతప్పనిసరిగా జోడించు
service requiredintegerసేవల జాబితా నుండి సేవా ID
link requiredstringలక్ష్య ప్రొఫైల్ లేదా పోస్ట్ యొక్క URL
quantity requiredintegerబట్వాడా చేయవలసిన మొత్తం పరిమాణం
runs optionalintegerడ్రిప్-ఫీడ్ పరుగుల సంఖ్య (డిఫాల్ట్: 1)
interval optionalintegerడ్రిప్-ఫీడ్ పరుగుల మధ్య నిమిషాలు (డిఫాల్ట్: 0)
comments optionalstringఅనుకూల వ్యాఖ్యలు (వ్యాఖ్య సేవల కోసం), ఒక్కో పంక్తికి ఒకటి

ప్రతిస్పందన - విజయం

{"order": 98765}

ప్రతిస్పందన - లోపం

{"error": "Insufficient balance. Please add funds."}
డ్రిప్-ఫీడ్: సెట్ పరుగులు = బ్యాచ్‌ల సంఖ్య మరియు ఇంటర్వెల్ = ఒక్కోదాని మధ్య నిమిషాలు. ఉదాహరణ — 7 రోజులలో 1,000 మంది అనుచరులు: quantity=1000&runs=7&interval=1440

ఆర్డర్ స్థితి

ఆర్డర్ యొక్క ప్రస్తుత స్థితిని తనిఖీ చేయండి.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=ORDER_ID
పరామితిటైప్ చేయండివివరణ
key requiredstringమీ API కీ
action requiredstringస్టేటస్ ఉండాలి
order requiredintegerఆర్డర్ ID <code>add</code> నుండి తిరిగి వచ్చింది

ప్రతిస్పందన

{
  "charge": "0.5000",
  "start_count": 1240,
  "status": "In_progress",
  "remains": 630,
  "currency": "USD"
}

స్థితి విలువలు

స్థితిఅర్థం
Pendingప్రొవైడర్‌కి పంపడానికి వేచి ఉంది
Processingప్రొవైడర్‌కి పంపబడింది, క్యూలో ఉంచబడింది
In_progressడెలివరీ ప్రోగ్రెస్‌లో ఉంది
Completedపూర్తిగా పంపిణీ చేయబడింది
Partialపాక్షికంగా డెలివరీ చేయబడింది, మిగిలిపోయింది వాపసు
Cancelledరద్దు చేయబడింది, మిగిలిన రీఫండ్

ఆర్డర్ రద్దు చేయండి

పెండింగ్‌లో ఉన్న లేదా ప్రోగ్రెస్‌లో ఉన్న ఆర్డర్‌ను రద్దు చేస్తుంది. డెలివరీ చేయని భాగం మీ బ్యాలెన్స్‌కి రీఫండ్ చేయబడుతుంది.

POST https://resimi.xyz/api/v2.php
పరామితిటైప్ చేయండివివరణ
key requiredstringమీ API కీ
action requiredstringతప్పక రద్దు
order requiredintegerరద్దు చేయమని ఆర్డర్ ID

ప్రతిస్పందన - విజయం

{"success": true, "refunded": 0.2500}

బ్యాలెన్స్ తనిఖీ చేయండి

API కీతో అనుబంధించబడిన ఖాతా యొక్క ప్రస్తుత బ్యాలెన్స్‌ను అందిస్తుంది.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

ప్రతిస్పందన

{"balance": "12.4800", "currency": "USD"}

కోడ్ ఉదాహరణలు

<?php
$apiUrl = "https://resimi.xyz/api/v2.php";
$apiKey = "YOUR_API_KEY";

function smmApi(string $url, string $key, array $params): array {
    $params['key'] = $key;
    $ch = curl_init($url);
    curl_setopt_array($ch, [
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($params),
        CURLOPT_TIMEOUT => 30,
    ]);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true) ?? [];
}

// Get services
$services = smmApi($apiUrl, $apiKey, ['action' => 'services']);

// Place an order
$order = smmApi($apiUrl, $apiKey, [
    'action' => 'add',
    'service' => 1234,
    'link' => 'https://instagram.com/yourprofile',
    'quantity' => 1000,
]);
echo "Order ID: " . ($order['order'] ?? 'Error: ' . $order['error']);

// Check balance
$balance = smmApi($apiUrl, $apiKey, ['action' => 'balance']);
echo "Balance: $" . $balance['balance'];
import requests

API_URL = "https://resimi.xyz/api/v2.php"
API_KEY = "YOUR_API_KEY"

def smm_api(params: dict) -> dict:
    params["key"] = API_KEY
    response = requests.post(API_URL, data=params, timeout=30)
    return response.json()

# Get services
services = smm_api({"action": "services"})
for svc in services[:3]:
    print(f"[{svc['service']}] {svc['name']} - ${svc['rate']}/1K")

# Place an order
order = smm_api({
    "action": "add",
    "service": 1234,
    "link": "https://instagram.com/yourprofile",
    "quantity": 1000,
})
print(f"Order ID: {order.get('order', 'Error: ' + order.get('error', ''))}")

# Check status
status = smm_api({"action": "status", "order": order.get("order")})
print(f"Status: {status.get('status')} | Remains: {status.get('remains')}")

# Check balance
balance = smm_api({"action": "balance"})
print(f"Balance: ${balance['balance']}")
const API_URL = "https://resimi.xyz/api/v2.php";
const API_KEY = "YOUR_API_KEY";

async function smmApi(params) {
    const body = new URLSearchParams({ key: API_KEY, ...params });
    const res = await fetch(API_URL, { method: "POST", body });
    return res.json();
}

// Get services
const services = await smmApi({ action: "services" });
console.log(`Found ${services.length} services`);

// Place an order
const order = await smmApi({
    action: "add",
    service: 1234,
    link: "https://instagram.com/yourprofile",
    quantity: 1000,
});
console.log("Order ID:", order.order ?? "Error: " + order.error);

// Check status
const status = await smmApi({ action: "status", order: order.order });
console.log("Status:", status.status, "| Remains:", status.remains);

// Cancel an order
const cancel = await smmApi({ action: "cancel", order: order.order });
console.log("Refunded:", cancel.refunded);

// Check balance
const balance = await smmApi({ action: "balance" });
console.log("Balance: $" + balance.balance);
# Get services
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services"

# Place an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000"

# Place a drip-feed order (1000 followers over 7 days)
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000" \
  -d "runs=7" \
  -d "interval=1440"

# Check order status
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=98765"

# Cancel an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=cancel" \
  -d "order=98765"

# Check balance
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance"
How can we help?